## org.omg.IOP
Class TaggedProfile

    java.lang.Object
      |
      +--org.omg.IOP.TaggedProfile

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class TaggedProfile
extends java.lang.Object
implements IDLEntity

Struct definition : TaggedProfile

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`byte[]` `profile_data` Struct member profile_data
`int` `tag` Struct member tag

Constructor Summary
`TaggedProfile()` Default constructor
`TaggedProfile(int tag, byte[] profile_data)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tag

    public int tag

  Struct member tag

### profile_data

    public byte[] profile_data

  Struct member profile_data

Constructor Detail

### TaggedProfile

    public TaggedProfile()

  Default constructor

### TaggedProfile

    public TaggedProfile(int tag,
                         byte[] profile_data)

  Constructor with fields initialization
  Parameters:
    `tag` - tag struct member
    `profile_data` - profile_data struct member